OGRE-Next: Ogre::VulkanSupport Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VulkanSupport Class Reference

`#include <OgreVulkanSupport.h>`

Inheritance diagram for Ogre::VulkanSupport:
[legend]

## Public Member Functions
| VulkanSupport ()
virtual | ~VulkanSupport ()
virtual void | addConfig (VulkanRenderSystem *renderSystem)
| Add any special config values to the system.
ConfigOptionMap & | getConfigOptions (VulkanRenderSystem *renderSystem)
virtual unsigned int | getDisplayMonitorCount () const
| Gets the number of display monitors.
virtual IdString | getInterfaceName () const
virtual String | getInterfaceNameStr () const
uint32 | getSelectedDeviceIdx () const
bool | isSupported () const
virtual void | setConfigOption (const String &name, const String &value)
void | setSupported ()
virtual String | validateConfigOptions ()

## Constructor & Destructor Documentation

## ◆ VulkanSupport()

Ogre::VulkanSupport::VulkanSupport | ( |  | ) |
| inline

## ◆ ~VulkanSupport()

virtual Ogre::VulkanSupport::~VulkanSupport | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ addConfig()

virtual void Ogre::VulkanSupport::addConfig | ( | VulkanRenderSystem * | renderSystem | ) |
| virtual

Add any special config values to the system.

Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh

Reimplemented in Ogre::VulkanAndroidSupport, Ogre::VulkanWin32Support, and Ogre::VulkanXcbSupport.

## ◆ getConfigOptions()

ConfigOptionMap & Ogre::VulkanSupport::getConfigOptions | ( | VulkanRenderSystem * | renderSystem | ) |

## ◆ getDisplayMonitorCount()

virtual unsigned int Ogre::VulkanSupport::getDisplayMonitorCount | ( |  | ) | const
| inlinevirtual

Gets the number of display monitors.

See also
  Root::getDisplayMonitorCount

## ◆ getInterfaceName()

virtual IdString Ogre::VulkanSupport::getInterfaceName | ( |  | ) | const
| virtual

Reimplemented in Ogre::VulkanAndroidSupport, Ogre::VulkanWin32Support, and Ogre::VulkanXcbSupport.

## ◆ getInterfaceNameStr()

virtual String Ogre::VulkanSupport::getInterfaceNameStr | ( |  | ) | const
| virtual

Reimplemented in Ogre::VulkanAndroidSupport, Ogre::VulkanWin32Support, and Ogre::VulkanXcbSupport.

## ◆ getSelectedDeviceIdx()

uint32 Ogre::VulkanSupport::getSelectedDeviceIdx | ( |  | ) | const

## ◆ isSupported()

bool Ogre::VulkanSupport::isSupported | ( |  | ) | const
| inline

## ◆ setConfigOption()

virtual void Ogre::VulkanSupport::setConfigOption | ( | const String & | name,
|  | const String & | value )
| virtual

Reimplemented in Ogre::VulkanAndroidSupport, Ogre::VulkanWin32Support, and Ogre::VulkanXcbSupport.

## ◆ setSupported()

void Ogre::VulkanSupport::setSupported | ( |  | ) |

## ◆ validateConfigOptions()

virtual String Ogre::VulkanSupport::validateConfigOptions | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- OgreVulkanSupport.h